{ modulesPath, pkgs, config, lib, ... }:
let
in {
  imports = [
    "${modulesPath}/virtualisation/docker-image.nix"
  ];

  config = {
    environment.systemPackages = with pkgs; [
      bashInteractive
    ];

    nix.readOnlyStore = false;
    boot.postBootCommands = lib.mkBefore ''
    mkdir -p /run/systemd
    '';
    # From https://github.com/hercules-ci/arion/blob/master/src/nix/modules/nixos/container-systemd.nix 
    
    boot.isContainer = true;
    boot.specialFileSystems = lib.mkForce {};

    services.journald.console = "/dev/console";

    systemd.services.systemd-logind.enable = false;
    systemd.services.console-getty.enable = false;

    systemd.sockets.nix-daemon.enable = lib.mkDefault false;
    systemd.services.nix-daemon.enable = lib.mkDefault false;
    # From https://github.com/hercules-ci/arion/blob/master/examples/full-nixos/arion-compose.nix
    services.nscd.enable = false;
    system.nssModules = lib.mkForce [];
  };
}
