{ pkgsStatic, fetchurl }:
let
  pause-src = fetchurl {
     url = "https://github.com/kubernetes/kubernetes/raw/cd80d70c3df154e8f6f2df5bfe8f7f8a490b7acc/build/pause/linux/pause.c";
     sha256 = "1slm2r6gb5biqfdx1hq4ghy0sjxrydv3wi9bga9n53jzmchzx8ql";
  };
in
pkgsStatic.stdenv.mkDerivation {
  name = "pause";
  dontUnpack = true;
  static = true;
  CFLAGS = [
    "-Os" "-Wall" "-Werror" #"-static"
  ];
  installPhase = ''
    mkdir -p $out/bin
    $CC $CFLAGS ${pause-src} -o $out/bin/pause
  '';
}
